libmwawOLE::IStream Class Reference

## Public Member Functions

| IStream (IStorage *io, std::string const &name)
| constructor More...
| ~IStream ()
| destructor More...
unsigned long | size () const
| return the stream size More...
unsigned long | tell () const
| return the actual position in the stream More...
unsigned long | read (unsigned char *data, unsigned long maxlen)
| try to read maxlen bytes More...

## Private Member Functions

unsigned long | read (unsigned long pos, unsigned char *data, unsigned long maxlen)
| IStream (const IStream &)
IStream & | operator= (const IStream &)

## Private Attributes

IStorage * | m_io
| the main storage More...
unsigned long | m_size
| the stream size More...
std::string | m_name
| the full stream name More...
std::vector< unsigned long > | m_blocks
| the list of block in the stream More...
unsigned long | m_pos
| pointer to the actual position More...

## Constructor & Destructor Documentation

libmwawOLE::IStream::IStream | ( | IStorage * | io,
|  | std::string const & | name
| ) |  |

constructor

libmwawOLE::IStream::~IStream | ( |  | ) |

inline

destructor

libmwawOLE::IStream::IStream | ( | const IStream & |  | ) |

private

## Member Function Documentation

IStream& libmwawOLE::IStream::operator= | ( | const IStream & |  | ) |

private

unsigned long libmwawOLE::IStream::read | ( | unsigned char * | data,
|  | unsigned long | maxlen
| ) |  |

inline

try to read maxlen bytes

Referenced by libmwawOLE::Storage::getSubStream(), and libmwawOLE::Storage::getSubStreamForDirectory().

unsigned long libmwawOLE::IStream::read | ( | unsigned long | pos,
|  | unsigned char * | data,
|  | unsigned long | maxlen
| ) |  |

private

unsigned long libmwawOLE::IStream::size | ( |  | ) | const

inline

return the stream size

Referenced by libmwawOLE::Storage::getSubStream(), and libmwawOLE::Storage::getSubStreamForDirectory().

unsigned long libmwawOLE::IStream::tell | ( |  | ) | const

inline

return the actual position in the stream

Referenced by read().

## Member Data Documentation

std::vector<unsigned long> libmwawOLE::IStream::m_blocks

private

the list of block in the stream

Referenced by IStream(), and read().

IStorage* libmwawOLE::IStream::m_io

private

the main storage

Referenced by IStream(), and read().

std::string libmwawOLE::IStream::m_name

private

the full stream name

Referenced by read().

unsigned long libmwawOLE::IStream::m_pos

private

pointer to the actual position

Referenced by read(), and tell().

unsigned long libmwawOLE::IStream::m_size

private

the stream size

Referenced by IStream(), read(), and size().

The documentation for this class was generated from the following file:

- MWAWOLEStream.cxx